%global pypi_name enrich
%global commitId 1d547b97d56ac38f453dfc799428b816c2557707

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       1.2.7
Release:       1%{?dist}
Summary:       Python Enrich

License:       MIT
URL:           https://github.com/pycontribs/enrich
Source0:       python-enrich-1d547b97d56ac38f453dfc799428b816c2557707.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-setuptools_scm+toml >= 3.5.0
BuildRequires: python%{python3_pkgversion}-wheel

%description
Enriched extends rich library functionality with a set of changes that were not accepted to rich itself.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Python Enrich

Requires:      python%{python3_pkgversion}-rich >= 9.5.1

%description -n python%{python3_pkgversion}-%{pypi_name}
Enriched extends rich library functionality with a set of changes that were not accepted to rich itself.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc README.md

%changelog
* Mon Mar 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 1.2.7-1
- Initial package
